using FitConnect;
using Microsoft.Extensions.Configuration;
using Microsoft.Extensions.Logging;

namespace ConsoleAppExample;

public static class RouterDemo {
    public static async Task Run(IConfigurationRoot config, ILogger logger) {
        OutputHelper.PrintRouter();
        Console.WriteLine(@"         /\  _ _ _");
        Console.WriteLine(@"        /--\| (-(_|");

        var router = ClientFactory.GetRouterClient(FitConnectEnvironment.Test, logger);

        var areas = await router.FindAreas("80339", 0, 500);
        foreach (var area in areas) {
            Console.WriteLine($"\t- {area.Name}");
        }

        Console.WriteLine(@"         __");
        Console.WriteLine(@"        |  \ _ _|_. _  _ |_. _  _");
        Console.WriteLine(@"        |__/(-_)|_|| )(_||_|(_)| )");

        var destinations = await router.FindDestinationsAsync("99123456760610", areaId: "931");

        foreach (var destination in destinations) {
            Console.WriteLine($" - {destination.DestinationId}, {destination.DestinationName}");
        }
    }
}
