# FIT-Connect Automated Testing

## Voraussetzungen

Der verwendete Zustellpunkt muss die folgenden Voraussetzungen erfüllen:

- Reply Channel __Elster__ darf nicht aktiviert sein
- Alle andere Reply Channels müssen aktiviert sein

Im Verzeichnis `MockContainer` sucht der Dependency Injection Container nach einem Verzeichnis `encryptionKeys` mit folgenden Dateien:

> ### Hinweis für OSX - MacOS 
> In OSX ist zu beachten, dass der `DYLD_LIBRARY_PATH` gesetzt sein muss. (siehe [Readme im Projekt selbst](../README.md) für weitere Informationen)


### Dateien für die Tests

```
Test/MockContainer/encryptionKeys
  +- credentials.json
  +- privateKey_decryption.json
  +- privateKey_signing.json
  +- publicKey_encryption.json
  +- publicKey_signature_verification.json
```

Obwohl die `Public Keys` zum SSP hochgeladen werden, werden diese dennoch hier benötigt, da die Unit Tests nicht auf den Server zugreifen aber die `Public Keys` benötigen.

#### credentials.json

In der `credentials.json` werden folgende Werte angegeben:

```json
{
  "sender": {
    "clientId": "<ID from SSP for SENDER>",
    "clientSecret": "<Secret from SSP for SENDER>"
  },
  "subscriber": {
    "clientId": "<ID from SSP for SUBSCRIBER>",
    "clientSecret": "<Secret from SSP for SUBSCRIBER>",
    "callbackSecret": "<Callback secret from SSP for SUBSCRIBER>"
  },
  "destinationId": "<GUID for the destination to send the submission to>",
  "leikaKey": "<Leika Key the destination accepts>"
}
```

